Skip to main content

Mark messages as read

PUT /v2/post_checkout/chat/{order_id}/messages

Marks all the non-read messages sent by the shopper.

Security

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters

NameInTypeRequiredDescription
order_idpathstringRequired

The ID of the order.

X-Treat-Ids-As-InternalheaderbooleanOptional

Request

None.

Request examples

curl --request PUT \
--url 'https://connect.instacart.com/v2/post_checkout/chat/{order_id}/messages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Treat-Ids-As-Internal: true'

Response

FieldTypeRequiredDescription
messages_read_countintegerRequired

The number of messages marked as read.

Response examples

200 Success

{
"messages_read_count": 15
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Order was not created with Fulfillment v3, trying to fetch with client credentials"User ID not found"4001Not applicable
404Order not found"Resource not found"4000Not applicable